Bug 1172201 - Set Android support library to 22.2.0 in config. r=me
authorMichael Comella <michael.l.comella@gmail.com>
Mon, 08 Jun 2015 09:15:10 -0700
changeset 270715 a733c1ca6e555ad090770f73d77ddb7ee0d706a0
parent 270714 85e876f34bcc00459f9ba47d5a3296de00aefd85
child 270716 76b303e010987e5467bfb20e9cc465f091264bec
push id2692
push usergijskruitbosch@gmail.com
push dateTue, 09 Jun 2015 12:48:27 +0000
reviewersme
bugs1172201
milestone41.0a1
Bug 1172201 - Set Android support library to 22.2.0 in config. r=me This corrects the GradleDynamicVersion lint warning.
mobile/android/gradle/base/build.gradle
mobile/android/gradle/thirdparty/build.gradle
mobile/android/gradle/thirdparty_adjust_sdk/build.gradle
--- a/mobile/android/gradle/base/build.gradle
+++ b/mobile/android/gradle/base/build.gradle
@@ -42,21 +42,21 @@ android {
                     srcDir "src/crashreporter/res"
                 }
             }
         }
     }
 }
 
 dependencies {
-    compile 'com.android.support:support-v4:22.+'
+    compile 'com.android.support:support-v4:22.2.0'
 
     if (mozconfig.substs.MOZ_NATIVE_DEVICES) {
-        compile 'com.android.support:appcompat-v7:22.+'
-        compile 'com.android.support:mediarouter-v7:22.+'
+        compile 'com.android.support:appcompat-v7:22.2.0'
+        compile 'com.android.support:mediarouter-v7:22.2.0'
         compile 'com.google.android.gms:play-services-base:6.5.+'
         compile 'com.google.android.gms:play-services-cast:6.5.+'
     }
 
     compile project(':branding')
     compile project(':preprocessed_code')
     compile project(':preprocessed_resources')
     compile project(':thirdparty')
--- a/mobile/android/gradle/thirdparty/build.gradle
+++ b/mobile/android/gradle/thirdparty/build.gradle
@@ -24,10 +24,10 @@ android {
                 // Thirdparty Adjust SDK code is included in the thirdparty_adjust_sdk project.
                 exclude 'com/adjust/**'
             }
         }
     }
 }
 
 dependencies {
-    compile 'com.android.support:support-v4:22.+'
+    compile 'com.android.support:support-v4:22.2.0'
 }
--- a/mobile/android/gradle/thirdparty_adjust_sdk/build.gradle
+++ b/mobile/android/gradle/thirdparty_adjust_sdk/build.gradle
@@ -23,10 +23,10 @@ android {
             java {
                 srcDir "${topsrcdir}/mobile/android/thirdparty/com/adjust"
             }
         }
     }
 }
 
 dependencies {
-    compile 'com.android.support:support-v4:22.+'
+    compile 'com.android.support:support-v4:22.2.0'
 }